<?php
include("../header.php");
?>

<script>
<?php
include_once("../php/config.php");
$cuentas = mysql_query("select * from enlace_cuentas") or die(mysql_error());
	$ventas = @mysql_result($cuentas, 0, "ventas");
	$compras =  @mysql_result($cuentas, 0, "compras");
	$pagos_clientes =  @mysql_result($cuentas, 0, "pagos_clientes");
	$pagos_proveedores =  @mysql_result($cuentas, 0, "pagos_proveedores");
	$otros_ingresos =  @mysql_result($cuentas, 0, "otros_ingresos");
	$otros_egresos =  @mysql_result($cuentas, 0, "otros_egresos");

?>
///....
	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>
<div class="container-fluid">
<ol class="breadcrumb">
  <li><a href="#">Parametros</a></li>
  <li><a href="#"><b>Enlazar cuentas</b></a></li>
 
</ol>
<form action="" method="POST" name="frm" onSubmit="$('.btn').hide()">
			
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="ventas">Punto de ventas</label>
						</div>

						<div class="col-md-5">
							<select class="form-control mt-2" id="ventas" name="ventas" selected="<?php echo $ventas?>">
								<?php
								 $tr .= "<option value=''>--Seleccione-</option>";
								$a = mysql_query("select * from cuentas");
								while($rs = mysql_fetch_array($a)){
									$numero_cuenta = $rs["numero_cuenta"];
									$descripcion = $rs["descripcion"];
									if($numero_cuenta==$ventas){$v = "selected";}else{$v="";}
									$tr .= "<option $v value='$numero_cuenta'>".$rs["descripcion"]."</option>";

								}
								echo $tr;
								$tr = "";
								?>
							</select>
						</div>
                        
						
					</div>

					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="folio">Compras</label>
						</div>

						<div class="col-md-5">
							<select class="form-control mt-2 bold" id="compras" name="compras">
								<?php
								 $tr .= "<option value=''>--Seleccione-</option>";
								$a = mysql_query("select * from cuentas");
								while($rs = mysql_fetch_array($a)){
									$numero_cuenta = $rs["numero_cuenta"];
									$descripcion = $rs["descripcion"];
									if($numero_cuenta==$compras){$v = "selected";}else{$v="";}
									$tr .= "<option $v value='$numero_cuenta'>".$rs["descripcion"]."</option>";

								}
								echo $tr;
								$tr = "";
								?>
							</select>
						</div>
                        
						
					</div>
					
					<h2>Ingreso/Egreso</h2>
					<hr>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="pagos_clientes">Pagos de clientes</label>
						</div>

						<div class="col-md-5">
							<select class="form-control mt-2 bold" id="pagos_clientes" name="pagos_clientes">
								<?php
								 $tr .= "<option value=''>--Seleccione-</option>";
								$a = mysql_query("select * from cuentas");
								while($rs = mysql_fetch_array($a)){
									$numero_cuenta = $rs["numero_cuenta"];
									$descripcion = $rs["descripcion"];
									if($numero_cuenta==$pagos_clientes){$v = "selected";}else{$v="";}
									$tr .= "<option $v value='$numero_cuenta'>".$rs["descripcion"]."</option>";

								}
								echo $tr;
								$tr = "";
								?>
							</select>
						</div>
                        
						
					</div>
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="otros_ingresos">Otros ingresos</label>
						</div>

						<div class="col-md-5">
							<select class="form-control mt-2 bold" id="otros_ingresos" name="otros_ingresos">
								<?php
								 $tr .= "<option value=''>--Seleccione-</option>";
								$a = mysql_query("select * from cuentas");
								while($rs = mysql_fetch_array($a)){
									$numero_cuenta = $rs["numero_cuenta"];
									$descripcion = $rs["descripcion"];
									if($numero_cuenta==$otros_ingresos){$v = "selected";}else{$v="";}
									$tr .= "<option $v value='$numero_cuenta'>".$rs["descripcion"]."</option>";

								}
								echo $tr;
								$tr = "";
								?>
							</select>
						</div>
                        
						
					</div>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="pagos_proveedores">Pagos a proveedores</label>
						</div>

						<div class="col-md-5">
							<select class="form-control mt-2 bold" id="pagos_proveedores" name="pagos_proveedores">
								<?php
								 $tr .= "<option value=''>--Seleccione-</option>";
								$a = mysql_query("select * from cuentas");
								while($rs = mysql_fetch_array($a)){
									$numero_cuenta = $rs["numero_cuenta"];
									$descripcion = $rs["descripcion"];
									if($numero_cuenta==$pagos_proveedores){$v = "selected";}else{$v="";}
									$tr .= "<option $v value='$numero_cuenta'>".$rs["descripcion"]."</option>";

								}
								echo $tr;
								$tr = "";
								?>
							</select>
						</div>
                        
						
					</div>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="otros_egresos">Otros egresos</label>
						</div>
						

						<div class="col-md-5">
							<select class="form-control mt-2 bold" id="otros_egresos" name="otros_egresos">
								<?php
								 $tr .= "<option value=''>--Seleccione-</option>";
								$a = mysql_query("select * from cuentas");
								while($rs = mysql_fetch_array($a)){
									$numero_cuenta = $rs["numero_cuenta"];
									$descripcion = $rs["descripcion"];
									if($numero_cuenta==$otros_egresos){$v = "selected";}else{$v="";}
									$tr .= "<option $v value='$numero_cuenta'>".$rs["descripcion"]."</option>";
									

								}	
								echo $tr;
								$tr = "";
								?>
							</select>
						</div>
                        
						
					</div>

        				 <div class="col-md-2">
							<button name="btn-grabar" class="btn btn-default mt-2 text-success"><i class="fa fa-save fa-lg"></i> Actualizar</button>
						</div>
	</form>




<script type="text/javascript">
$("#txt-caja").val(localStorage.getItem("caja"));
///$("#txt-reporte-venta").val(localStorage.getItem("reporte-venta"));
$("#txt-impresion").val(localStorage.getItem("impresion"));
var impresion = localStorage.getItem("impresion");

if(impresion=="" || impresion==null){
	localStorage.setItem("impresion", "POS");

}
  function grabar(){
     if(!confirm("Seguro(a) que desea aztualizar este registro?")){return;}                   
    
     var caja = $("#txt-caja").val();
     impresion = $("#txt-impresion").val();
	 var reporte_venta = $("#txt-reporte-venta").val()
     localStorage.setItem("impresion", impresion);
	 localStorage.setItem("reporte-venta", reporte_venta);
     if(caja==""){alert('Faltan datos'); return}

    		localStorage.setItem("caja", caja);

           //grabar_en_servidor();
           alert("Caja creada satisfactoriamente!")

     }


     function grabar_en_servidor(){
        var caja = $("#txt-caja").val();
        if(caja=="Cerrado"){alert("El nombre de la caja no puede quedar vacio"); return;}
        if(!confirm("Seguro de actualizar esta caja?")){return;}

        var sql = "insert into cajas set ";
            sql+=" nombre='"+$("#txt-caja").val()+"'"
            
        _enviar("../php/update.php",{sql:sql})
        .done( function  ( data ){
            if(data=="1"){alert("Caja creada satisfactoriamente!"); window.location.reload() }else{alert(data)}
        })
    }
	

</script>

<?php
if(isset($_POST["btn-grabar"])){
	///include_once("../php/config.php");
	$ventas =  $_POST["ventas"];
	$compras =  $_POST["compras"];
	$pagos_clientes =  $_POST["pagos_clientes"];
	$pagos_proveedores =  $_POST["pagos_proveedores"];
	$otros_ingresos =  $_POST["otros_ingresos"];
	$otros_egresos =  $_POST["otros_egresos"];
	
	mysql_query("update enlace_cuentas set ventas='$ventas',
	 compras='$compras',
	 pagos_clientes='$pagos_clientes',
	 pagos_proveedores='$pagos_proveedores',
	 otros_ingresos='$otros_ingresos',
	 otros_egresos='$otros_egresos'") or die("<div class='text-danger'>".mysqli_error()."</div>");
	 echo "<div class='text-success'>Datos actualizados</div>";

}
?>

<?php
include("../footer.php");
?>